package com.zm.order.tool.server.chen;

import com.zm.order.tool.server.model.pay;
import com.zm.order.tool.server.model.payKey;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ChenPayDao {

    List<pay> selectList(@Param("orderNoList") List<String> orderNoList);

    int deleteByPrimaryKey(payKey key);

    int insert(pay record);

    int insertSelective(pay record);

    pay selectByPrimaryKey(payKey key);

    int updateByPrimaryKeySelective(pay record);

    int updateByPrimaryKeyWithBLOBs(pay record);

    int updateByPrimaryKey(pay record);
}